Spree SDK
import { createClient } from '@spree/sdk'
const client = createClient({
baseUrl: 'https://your-store.com',
publishableKey: '<api-key>',
})
const carts = await client.carts.list({
token: '<token>',
})curl --request GET \
--url http://{defaultHost}/api/v3/store/carts \
--header 'Authorization: Bearer <token>' \
--header 'x-spree-api-key: <api-key>'{
"data": [
{
"id": "cart_UkLWZg9DAJ",
"market_id": "mkt_UkLWZg9DAJ",
"channel_id": "ch_UkLWZg9DAJ",
"preferred_stock_location_id": null,
"company_id": null,
"company_name": null,
"po_number_required": false,
"po_document_filename": null,
"po_document_byte_size": null,
"number": "cart_UkLWZg9DAJ",
"token": "ckMf2iQ6r5adLceTPfKVH9BP",
"email": null,
"customer_note": null,
"po_number": null,
"currency": "USD",
"locale": "en",
"total_quantity": 1,
"warnings": [],
"coupon_code": null,
"item_total": "10.0",
"display_item_total": "$10.00",
"adjustment_total": "0.0",
"display_adjustment_total": "$0.00",
"discount_total": "0.0",
"display_discount_total": "$0.00",
"tax_total": "0.0",
"display_tax_total": "$0.00",
"included_tax_total": "0.0",
"display_included_tax_total": "$0.00",
"additional_tax_total": "0.0",
"display_additional_tax_total": "$0.00",
"total": "10.0",
"display_total": "$10.00",
"gift_card_total": "0.0",
"display_gift_card_total": "$0.00",
"amount_due": "10.0",
"display_amount_due": "$10.00",
"delivery_total": "0.0",
"display_delivery_total": "$0.00",
"fee_total": "0.0",
"display_fee_total": "$0.00",
"store_credit_total": "0.0",
"display_store_credit_total": "$0.00",
"covered_by_store_credit": false,
"current_step": "address",
"completed_steps": [],
"requirements": [
{
"code": "email_required",
"step": "address",
"field": "email",
"message": "Email address is required"
},
{
"code": "ship_address_required",
"step": "address",
"field": "ship_address",
"message": "Shipping address is required"
},
{
"code": "delivery_method_required",
"step": "delivery",
"field": "delivery_method",
"message": "Select a delivery method for all fulfillments"
},
{
"code": "payment_required",
"step": "payment",
"field": "payment",
"message": "Add a payment method"
}
],
"order_minimum": null,
"order_minimum_shortfall": null,
"below_order_minimum": false,
"freight_summary": null,
"shipping_eq_billing_address": true,
"discounts": [],
"fees": [],
"items": [
{
"id": "li_UkLWZg9DAJ",
"variant_id": "variant_UkLWZg9DAJ",
"seller_id": null,
"preorder": false,
"preorder_ships_at": null,
"quantity": 1,
"currency": "USD",
"name": "Product 225715",
"slug": "product-225715",
"options_text": "",
"price": "10.0",
"display_price": "$10.00",
"total": "10.0",
"display_total": "$10.00",
"adjustment_total": "0.0",
"display_adjustment_total": "$0.00",
"additional_tax_total": "0.0",
"display_additional_tax_total": "$0.00",
"included_tax_total": "0.0",
"display_included_tax_total": "$0.00",
"discount_total": "0.0",
"display_discount_total": "$0.00",
"pre_tax_amount": "10.0",
"display_pre_tax_amount": "$10.00",
"discounted_amount": "10.0",
"display_discounted_amount": "$10.00",
"display_compare_at_amount": "$0.00",
"compare_at_amount": null,
"thumbnail_url": null,
"option_values": [],
"digital_links": []
}
],
"fulfillments": [],
"payments": [],
"billing_address": null,
"shipping_address": null,
"payment_methods": [],
"gift_card": null,
"market": {
"id": "mkt_UkLWZg9DAJ",
"name": "United States",
"currency": "USD",
"default_locale": "en",
"tax_inclusive": false,
"default": true,
"country_codes": [
"US"
],
"country_isos": [
"US"
],
"supported_locales": [
"en"
]
}
},
{
"id": "cart_gbHJdmfrXB",
"market_id": "mkt_UkLWZg9DAJ",
"channel_id": "ch_UkLWZg9DAJ",
"preferred_stock_location_id": null,
"company_id": null,
"company_name": null,
"po_number_required": false,
"po_document_filename": null,
"po_document_byte_size": null,
"number": "cart_gbHJdmfrXB",
"token": "pvLw1ZWLLQNxh1uvSPUCdSmt",
"email": null,
"customer_note": null,
"po_number": null,
"currency": "USD",
"locale": "en",
"total_quantity": 1,
"warnings": [],
"coupon_code": null,
"item_total": "10.0",
"display_item_total": "$10.00",
"adjustment_total": "0.0",
"display_adjustment_total": "$0.00",
"discount_total": "0.0",
"display_discount_total": "$0.00",
"tax_total": "0.0",
"display_tax_total": "$0.00",
"included_tax_total": "0.0",
"display_included_tax_total": "$0.00",
"additional_tax_total": "0.0",
"display_additional_tax_total": "$0.00",
"total": "10.0",
"display_total": "$10.00",
"gift_card_total": "0.0",
"display_gift_card_total": "$0.00",
"amount_due": "10.0",
"display_amount_due": "$10.00",
"delivery_total": "0.0",
"display_delivery_total": "$0.00",
"fee_total": "0.0",
"display_fee_total": "$0.00",
"store_credit_total": "0",
"display_store_credit_total": "$0.00",
"covered_by_store_credit": false,
"current_step": "address",
"completed_steps": [],
"requirements": [
{
"code": "email_required",
"step": "address",
"field": "email",
"message": "Email address is required"
},
{
"code": "ship_address_required",
"step": "address",
"field": "ship_address",
"message": "Shipping address is required"
},
{
"code": "delivery_method_required",
"step": "delivery",
"field": "delivery_method",
"message": "Select a delivery method for all fulfillments"
},
{
"code": "payment_required",
"step": "payment",
"field": "payment",
"message": "Add a payment method"
}
],
"order_minimum": null,
"order_minimum_shortfall": null,
"below_order_minimum": false,
"freight_summary": null,
"shipping_eq_billing_address": true,
"discounts": [],
"fees": [],
"items": [
{
"id": "li_gbHJdmfrXB",
"variant_id": "variant_gbHJdmfrXB",
"seller_id": null,
"preorder": false,
"preorder_ships_at": null,
"quantity": 1,
"currency": "USD",
"name": "Product 2262171",
"slug": "product-2262171",
"options_text": "",
"price": "10.0",
"display_price": "$10.00",
"total": "10.0",
"display_total": "$10.00",
"adjustment_total": "0.0",
"display_adjustment_total": "$0.00",
"additional_tax_total": "0.0",
"display_additional_tax_total": "$0.00",
"included_tax_total": "0.0",
"display_included_tax_total": "$0.00",
"discount_total": "0.0",
"display_discount_total": "$0.00",
"pre_tax_amount": "10.0",
"display_pre_tax_amount": "$10.00",
"discounted_amount": "10.0",
"display_discounted_amount": "$10.00",
"display_compare_at_amount": "$0.00",
"compare_at_amount": null,
"thumbnail_url": null,
"option_values": [],
"digital_links": []
}
],
"fulfillments": [],
"payments": [],
"billing_address": null,
"shipping_address": null,
"payment_methods": [],
"gift_card": null,
"market": {
"id": "mkt_UkLWZg9DAJ",
"name": "United States",
"currency": "USD",
"default_locale": "en",
"tax_inclusive": false,
"default": true,
"country_codes": [
"US"
],
"country_isos": [
"US"
],
"supported_locales": [
"en"
]
}
}
],
"meta": {
"page": 1,
"limit": 25,
"count": 2,
"pages": 1,
"from": 1,
"to": 2,
"in": 2,
"previous": null,
"next": null
}
}{
"error": {
"code": "authentication_required",
"message": "Authentication required"
}
}List active carts
Returns all active (incomplete) carts for the authenticated user.
GET
/
api
/
v3
/
store
/
carts
Spree SDK
import { createClient } from '@spree/sdk'
const client = createClient({
baseUrl: 'https://your-store.com',
publishableKey: '<api-key>',
})
const carts = await client.carts.list({
token: '<token>',
})curl --request GET \
--url http://{defaultHost}/api/v3/store/carts \
--header 'Authorization: Bearer <token>' \
--header 'x-spree-api-key: <api-key>'{
"data": [
{
"id": "cart_UkLWZg9DAJ",
"market_id": "mkt_UkLWZg9DAJ",
"channel_id": "ch_UkLWZg9DAJ",
"preferred_stock_location_id": null,
"company_id": null,
"company_name": null,
"po_number_required": false,
"po_document_filename": null,
"po_document_byte_size": null,
"number": "cart_UkLWZg9DAJ",
"token": "ckMf2iQ6r5adLceTPfKVH9BP",
"email": null,
"customer_note": null,
"po_number": null,
"currency": "USD",
"locale": "en",
"total_quantity": 1,
"warnings": [],
"coupon_code": null,
"item_total": "10.0",
"display_item_total": "$10.00",
"adjustment_total": "0.0",
"display_adjustment_total": "$0.00",
"discount_total": "0.0",
"display_discount_total": "$0.00",
"tax_total": "0.0",
"display_tax_total": "$0.00",
"included_tax_total": "0.0",
"display_included_tax_total": "$0.00",
"additional_tax_total": "0.0",
"display_additional_tax_total": "$0.00",
"total": "10.0",
"display_total": "$10.00",
"gift_card_total": "0.0",
"display_gift_card_total": "$0.00",
"amount_due": "10.0",
"display_amount_due": "$10.00",
"delivery_total": "0.0",
"display_delivery_total": "$0.00",
"fee_total": "0.0",
"display_fee_total": "$0.00",
"store_credit_total": "0.0",
"display_store_credit_total": "$0.00",
"covered_by_store_credit": false,
"current_step": "address",
"completed_steps": [],
"requirements": [
{
"code": "email_required",
"step": "address",
"field": "email",
"message": "Email address is required"
},
{
"code": "ship_address_required",
"step": "address",
"field": "ship_address",
"message": "Shipping address is required"
},
{
"code": "delivery_method_required",
"step": "delivery",
"field": "delivery_method",
"message": "Select a delivery method for all fulfillments"
},
{
"code": "payment_required",
"step": "payment",
"field": "payment",
"message": "Add a payment method"
}
],
"order_minimum": null,
"order_minimum_shortfall": null,
"below_order_minimum": false,
"freight_summary": null,
"shipping_eq_billing_address": true,
"discounts": [],
"fees": [],
"items": [
{
"id": "li_UkLWZg9DAJ",
"variant_id": "variant_UkLWZg9DAJ",
"seller_id": null,
"preorder": false,
"preorder_ships_at": null,
"quantity": 1,
"currency": "USD",
"name": "Product 225715",
"slug": "product-225715",
"options_text": "",
"price": "10.0",
"display_price": "$10.00",
"total": "10.0",
"display_total": "$10.00",
"adjustment_total": "0.0",
"display_adjustment_total": "$0.00",
"additional_tax_total": "0.0",
"display_additional_tax_total": "$0.00",
"included_tax_total": "0.0",
"display_included_tax_total": "$0.00",
"discount_total": "0.0",
"display_discount_total": "$0.00",
"pre_tax_amount": "10.0",
"display_pre_tax_amount": "$10.00",
"discounted_amount": "10.0",
"display_discounted_amount": "$10.00",
"display_compare_at_amount": "$0.00",
"compare_at_amount": null,
"thumbnail_url": null,
"option_values": [],
"digital_links": []
}
],
"fulfillments": [],
"payments": [],
"billing_address": null,
"shipping_address": null,
"payment_methods": [],
"gift_card": null,
"market": {
"id": "mkt_UkLWZg9DAJ",
"name": "United States",
"currency": "USD",
"default_locale": "en",
"tax_inclusive": false,
"default": true,
"country_codes": [
"US"
],
"country_isos": [
"US"
],
"supported_locales": [
"en"
]
}
},
{
"id": "cart_gbHJdmfrXB",
"market_id": "mkt_UkLWZg9DAJ",
"channel_id": "ch_UkLWZg9DAJ",
"preferred_stock_location_id": null,
"company_id": null,
"company_name": null,
"po_number_required": false,
"po_document_filename": null,
"po_document_byte_size": null,
"number": "cart_gbHJdmfrXB",
"token": "pvLw1ZWLLQNxh1uvSPUCdSmt",
"email": null,
"customer_note": null,
"po_number": null,
"currency": "USD",
"locale": "en",
"total_quantity": 1,
"warnings": [],
"coupon_code": null,
"item_total": "10.0",
"display_item_total": "$10.00",
"adjustment_total": "0.0",
"display_adjustment_total": "$0.00",
"discount_total": "0.0",
"display_discount_total": "$0.00",
"tax_total": "0.0",
"display_tax_total": "$0.00",
"included_tax_total": "0.0",
"display_included_tax_total": "$0.00",
"additional_tax_total": "0.0",
"display_additional_tax_total": "$0.00",
"total": "10.0",
"display_total": "$10.00",
"gift_card_total": "0.0",
"display_gift_card_total": "$0.00",
"amount_due": "10.0",
"display_amount_due": "$10.00",
"delivery_total": "0.0",
"display_delivery_total": "$0.00",
"fee_total": "0.0",
"display_fee_total": "$0.00",
"store_credit_total": "0",
"display_store_credit_total": "$0.00",
"covered_by_store_credit": false,
"current_step": "address",
"completed_steps": [],
"requirements": [
{
"code": "email_required",
"step": "address",
"field": "email",
"message": "Email address is required"
},
{
"code": "ship_address_required",
"step": "address",
"field": "ship_address",
"message": "Shipping address is required"
},
{
"code": "delivery_method_required",
"step": "delivery",
"field": "delivery_method",
"message": "Select a delivery method for all fulfillments"
},
{
"code": "payment_required",
"step": "payment",
"field": "payment",
"message": "Add a payment method"
}
],
"order_minimum": null,
"order_minimum_shortfall": null,
"below_order_minimum": false,
"freight_summary": null,
"shipping_eq_billing_address": true,
"discounts": [],
"fees": [],
"items": [
{
"id": "li_gbHJdmfrXB",
"variant_id": "variant_gbHJdmfrXB",
"seller_id": null,
"preorder": false,
"preorder_ships_at": null,
"quantity": 1,
"currency": "USD",
"name": "Product 2262171",
"slug": "product-2262171",
"options_text": "",
"price": "10.0",
"display_price": "$10.00",
"total": "10.0",
"display_total": "$10.00",
"adjustment_total": "0.0",
"display_adjustment_total": "$0.00",
"additional_tax_total": "0.0",
"display_additional_tax_total": "$0.00",
"included_tax_total": "0.0",
"display_included_tax_total": "$0.00",
"discount_total": "0.0",
"display_discount_total": "$0.00",
"pre_tax_amount": "10.0",
"display_pre_tax_amount": "$10.00",
"discounted_amount": "10.0",
"display_discounted_amount": "$10.00",
"display_compare_at_amount": "$0.00",
"compare_at_amount": null,
"thumbnail_url": null,
"option_values": [],
"digital_links": []
}
],
"fulfillments": [],
"payments": [],
"billing_address": null,
"shipping_address": null,
"payment_methods": [],
"gift_card": null,
"market": {
"id": "mkt_UkLWZg9DAJ",
"name": "United States",
"currency": "USD",
"default_locale": "en",
"tax_inclusive": false,
"default": true,
"country_codes": [
"US"
],
"country_isos": [
"US"
],
"supported_locales": [
"en"
]
}
}
],
"meta": {
"page": 1,
"limit": 25,
"count": 2,
"pages": 1,
"from": 1,
"to": 2,
"in": 2,
"previous": null,
"next": null
}
}{
"error": {
"code": "authentication_required",
"message": "Authentication required"
}
}Authorizations
Publishable API key for store access
JWT token for authenticated customers
Query Parameters
Page number (default: 1)
Number of results per page (default: 25, max: 100)
Sort order. Prefix with - for descending. Values: created_at, -created_at, updated_at, -updated_at
Filter by created after date (ISO 8601)
Filter by updated after date (ISO 8601)
Comma-separated associations to expand (items, fulfillments, payments, discounts, billing_address, shipping_address, gift_card, payment_methods). Use "none" to skip associations.
Comma-separated list of fields to include (e.g., total,amount_due,item_count). id is always included.
Response
carts listed
Was this page helpful?
⌘I

